#!/bin/bash
set -e
if [ -z "$1" ]
then
	echo "specify which directory to build and flash"
else
	cd $1

	TDIR=$(mktemp -d)
	BUILD=../build
	mkdir -p $BUILD
	avr-gcc -mmcu=atmega328p -DF_CPU=16000000L \
		-DARDUINO=10607 -DARDUINO_AVR_NANO -DARDUINO_ARCH_AVR \
		-I/usr/avr/include \
		main.c -o $BUILD/main.elf
	avr-objcopy -O ihex -R .eeprom $BUILD/main.elf $BUILD/main.hex

	avr-size -A $BUILD/main.elf
	avrdude \
		"-C/etc/avrdude/avrdude.conf" -v -V \
		-patmega328p -carduino -P/dev/ttyUSB0 -b57600 -D \
		-Uflash:w:$BUILD/main.hex:i


fi
